Show / Hide Table of Contents

# Class SelfUserProperties

Properties that are used to modify the ISelfUser with the specified changes.

##### Inheritance

System.Object
SelfUserProperties

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class SelfUserProperties

### Properties

| Improve this Doc View Source

#### Avatar

Gets or sets the avatar.

##### Declaration

    public Optional<Image?> Avatar { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Nullable<Image>> |

| Improve this Doc View Source

#### Username

Gets or sets the username.

##### Declaration

    public Optional<string> Username { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.String> |

### See Also

ModifyAsync(System.Action<SelfUserProperties>, RequestOptions)